Bug 1126635 - allow a user to force lvm to place mirror/raid images on the devices they want
Summary: allow a user to force lvm to place mirror/raid images on the devices they want
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: lvm2
Version: 6.6
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: LVM and device-mapper development team
QA Contact: cluster-qe@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-04 22:57 UTC by Corey Marthaler
Modified: 2015-10-15 15:37 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-15 15:37:40 UTC


Attachments (Terms of Use)

Description Corey Marthaler 2014-08-04 22:57:46 UTC
Description of problem:
There are many hacks I've learned over the past years to "trick" lvm into placing the mirror/raid images on the device(s) that I want them on. Now I appear to have found a case where I can't think of a way to make it work and thought maybe it's time to no longer need hacks and just have a sane way to say "I want image_0 on this/these device(s), and image_1 on that/those device(s)..."



Version-Release number of selected component (if applicable):
2.6.32-494.el6.x86_64

lvm2-2.02.108-1.el6    BUILT: Thu Jul 24 10:29:50 CDT 2014
lvm2-libs-2.02.108-1.el6    BUILT: Thu Jul 24 10:29:50 CDT 2014
lvm2-cluster-2.02.108-1.el6    BUILT: Thu Jul 24 10:29:50 CDT 2014
udev-147-2.57.el6    BUILT: Thu Jul 24 08:48:47 CDT 2014
device-mapper-1.02.87-1.el6    BUILT: Thu Jul 24 10:29:50 CDT 2014
device-mapper-libs-1.02.87-1.el6    BUILT: Thu Jul 24 10:29:50 CDT 2014
device-mapper-event-1.02.87-1.el6    BUILT: Thu Jul 24 10:29:50 CDT 2014
device-mapper-event-libs-1.02.87-1.el6    BUILT: Thu Jul 24 10:29:50 CDT 2014
device-mapper-persistent-data-0.3.2-1.el6    BUILT: Fri Apr  4 08:43:06 CDT 2014
cmirror-2.02.108-1.el6    BUILT: Thu Jul 24 10:29:50 CDT 2014

Comment 2 Jonathan Earl Brassow 2014-08-27 04:39:19 UTC
That would be a nice-to-have.  It may involve creating image LVs and then converting them to RAID or some other like solution.  This surely won't make it in near-term planning though.


Note You need to log in before you can comment on or make changes to this bug.